From c5daff167ed8bdb1e3dc825d2f11bf0fe283e33e Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 17 Nov 2008 18:20:16 -0500
Subject: [PATCH] glibc: Include support for building armv5tel-redhat-linux-gnueabi

Moving Lennert's F8 patch to F10.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 glibc.spec |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/glibc.spec b/glibc.spec
index a3f3b35..b4fb28b 100644
--- a/glibc.spec
+++ b/glibc.spec
@@ -25,7 +25,7 @@
 Summary: The GNU libc libraries
 Name: glibc
 Version: 2.8.90
-Release: 16
+Release: 16.fa1
 # GPLv2+ is used in a bunch of programs, LGPLv2+ is used for libraries.
 # Things that are linked directly into dynamically linked programs
 # and shared libraries (e.g. crt files, lib*_nonshared.a) have an additional
@@ -297,8 +297,10 @@ GCC="gcc -m64"
 GXX="g++ -m64"
 %endif
 
+%ifnarch %{arm}
 #BuildFlags="$BuildFlags -DNDEBUG=1 -fasynchronous-unwind-tables"
 BuildFlags="$BuildFlags -fasynchronous-unwind-tables"
+%endif
 EnableKernel="--enable-kernel=%{enablekernel}"
 echo "$GCC" > Gcc
 AddOns=`echo */configure | sed -e 's!/configure!!g;s!\(linuxthreads\|nptl\|rtkaio\|powerpc-cpu\)\( \|$\)!!g;s! \+$!!;s! !,!g;s!^!,!;/^,\*$/d'`
@@ -318,8 +320,14 @@ build_CFLAGS="$BuildFlags -g -O3 $*"
 CC="$GCC" CXX="$GXX" CFLAGS="$build_CFLAGS" ../configure --prefix=%{_prefix} \
 	--enable-add-ons=nptl$AddOns --without-cvs $EnableKernel \
 	--with-headers=%{_prefix}/include --enable-bind-now \
-	--with-tls --with-__thread --build %{nptl_target_cpu}-redhat-linux \
+	--with-tls --with-__thread \
+%ifnarch %{arm}
+	--build %{nptl_target_cpu}-redhat-linux \
 	--host %{nptl_target_cpu}-redhat-linux \
+%else
+	--build %{nptl_target_cpu}-redhat-linux-gnueabi \
+	--host %{nptl_target_cpu}-redhat-linux-gnueabi \
+%endif
 	--disable-profile
 make %{?_smp_mflags} -r CFLAGS="$build_CFLAGS" PARALLELMFLAGS=-s
 
@@ -994,6 +1002,10 @@ rm -f *.filelist*
 %endif
 
 %changelog
+* Tue Nov 18 2008 Kedar Sovani <kedars@marvell.com> 2.8.90-16.fa1
+- Include support for buildling on arm*-redhat-linux-gnueabi
+  - include ports
+
 * Fri Oct 31 2008 Jakub Jelinek <jakub@redhat.com> 2.8.90-16
 - update from trunk
   - further resolver fixes
-- 
1.5.3.3

